KILL(1)

NOME
kill - envia um sinal para um processo

SINOPSE
kill [opções] <pid> [...]

DESCRIÇÃO
O sinal padrão do kill é TERM. Use -l ou -L para listar os sinais disponíveis. Os sinais particularmente úteis incluem HUP, INT, KILL, STOP, CONT e 0. Os sinais alternativos podem ser especificados de três maneiras: -9, -SIGKILL ou -KILL. Valores de PID negativos podem ser usados para escolher todos os grupos de processo; veja a coluna PGID na saída do comando ps. Um PID de -1 é especial; indica todos os processos, exceto o próprio processo do kill e o init.

OPÇÕES

<pid> [...]
    Envia sinal para tod <pid> listado.

-<sinal>
-s <sinal>
--signal <sinal>
    Especifica o sinal a ser enviado. O sinal pode ser especificado usando um nome ou número. O comportamento dos sinais é explicado na página de manual signal(7).

-l, --list [sinal]
    Lista nomes de sinais. Essa opção possui um argumento opcional, que vai converter o número do sinal para um nome de sinal, e vice-versa.

-L, --table
    Lista nomes de sinais em uma tabela legal.

NOTAS
Seu shell (interpretador de linha de comando) pode ter um comando kill
    embutido. Você pode precisar executar o comando descrito aqui como /bin/kill para resolver o conflito.

EXEMPLOS

kill -9 -1
    Termina todos os processos que você pode terminar.

kill -l 11
    Traduz o número 11 para um nome de sinal.

kill -L
    Lista as escolhas de sinais disponíveis em uma tabela legal.

kill 123 543 2341 3453
    Envia um sinal padrão, SIGTERM, para todos esses processos.

VEJA TAMBÉM
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), skill(1)

PADRÕES
Esse comando atende as padrões apropriados. A opção -L é específica do Linux.

AUTOR
Albert Cahalan (albert@users.sf.net) escreveu kill em 1999 para substituir um do bsdutils que não estava em conformidade com os padrões. O do The util-linux também pode funcionar corretamente.

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org